LPPOM HALAL - Feature #242

[Finance] Log Period Control dan Validasi
03/18/2021 04:47 PM - Kezia Pawitra Yulianti

Status: Deploy Start date: 03/18/2021
Priority: High Due date: 03/22/2021
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Yomma,

berikut ya ssi diskusi

Period Status User Create Date Create User Change Date Change

01 2020 Close Admin 15 JAM 2020 JAM 1400

02 2020 Close Admin 17 JAM 2020 JAM 1400 Admin 20 JAN 2020 JAM 1400
03 2020 CloseOpan Admin 17 JAM 2020 JAM 1500

04 2020

Boleh create period baru if period sebelumnya sudah close
Jika create backdate, maka periode setelahnya yg sudah close dibuat blank

Tks

History

#1 - 03/18/2021 04:47 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 03/26/2021 10:38 AM - Tri Rizqiaty

- Status changed from Assigned to Developing

#3 - 03/26/2021 10:39 AM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to Kezia Pawitra Yulianti

#4 - 04/08/2021 09:46 AM - Kezia Pawitra Yulianti
- File clipboard-202104080944-2darj.png added

- File clipboard-202104080946-piefi.png added

- Status changed from QA Test to Revise

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizqiaty

Dear Yomma,

berikut adalah hasil test:

1. Delete period 4 sudah berhasil

2. Saat akan create dan open period di bulan 2, tidak berhasil ssi capture di bawah
ACC Period Control

Home e ACC Period Control

BACCTRLS - Can't create this period, must be closing the previcus period first

Accounting Control Maintenance

C I
Accounting Control

Fiscal Year: 2021 -

Fiscal Period: 02 -

Periode Status:

3. Kalau di lihat dr tabel PTRACCCONTROLLOG seharusnya saat create period 2 bisa dilakukan karena period 1 sudah close

SERVERTT\SQLSE..TRACCCOMTROLLOG X ILSER...0.PTRFILOPOSTING SERVE LSER...0.PTRFINAMNCEITEM SERVERTM\SOLSER... PTRFINANCEHEAD
CompanylD FiscalYear FiscalPeriod Status CreateBy CreateDate ChangeBy ChangeDate

4 1000 2020 o F tri 20210324144701  tri 20210324154504
1000 2020 02 F tri 20210324144701  tri 20210324165921
1000 2020 03 F tri 20210324144707  tri 20210324165921
1000 2021 o C captain 20210401112946  captain 20210401113008
1000 2021 02 C captain 20210401113008  captain 20210401113020
1000 2021 03 C captain 20210401113107  tri 20210401114801
1000 2021 04 a captain 20210401113107  tri 20210401114801

® MNULL MNULL MNULL MNULL NULL NULL NULL NULL

Mohon untuk bs di cek kembali ya

Tks

#5 - 04/08/2021 05:05 PM - Tri Rizqiaty
- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqgiaty to Kezia Pawitra Yulianti

Fixing :

1. Penambahan sdatatablefield, sdatatable, sdatasoure, storeprocedure : PFILOCEKPERIODSTATUSBEFORE, PFILOPERIODCONTROLLOG
2. Pembuatan table baru, sdatatable, sdatatblefield : PTRACCCONTROLLOG

3. Penambahan dll, MinovalS.Implementation.Data.FILO.Logging

4. Perubahan Ul, app controller, filo = accontrol.js

#6 - 04/14/2021 09:26 AM - Kezia Pawitra Yulianti
- Status changed from QA Test to Deploy

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizgiaty

so far sudah done
Tks

#7 - 05/21/2021 04:08 PM - Tri Rizqiaty
- File Deploy LPPOM 20210521.zip added

Berikut fixing untuk validasi finance document, period control & logging period :
1. Copy Paste parameter di file excel ke tabel masing

2. Copy Paste dll (terkirim via whatsapp) sesuai ke API1 & API2, jangan lupa back up terlebih dahulu

3. Copy Paset file Ul js (terkirim via whatsapp), sesuai folder, jangan lupa back up terlebih dahulu

4. Execute SP/Query terlampir, jangan lupa back up terlebih dahulu

Files
